Skip to content

Get a training run

Viewing v1— superseded by v2

GET
/v1/workspaces/{workspace_id}/training-runs/{training_run_id}
curl --request GET \
--url https://api.app.layer.ai/api/v1/workspaces/:workspace_id/training-runs/:training_run_id \
--header 'Authorization: Bearer <token>'

v1 is superseded. v1 was superseded by v2 on 2026-08-26. A sunset date has not been announced yet; v1 will be deprecated as a whole before removal. Migrate with the v2 migration guide.

Get the status and progress of a training run.

workspace_id
required
Workspace Id

Id of the workspace that owns the resource.

string format: uuid

Id of the workspace that owns the resource.

training_run_id
required
Training Run Id

Id of the training run.

string format: uuid

Id of the training run.

Successful Response

Media typeapplication/json
GetTrainingRunResponse
object
training_run_id
required
Training Run Id
string format: uuid
state
required
State

In_progress, terminal_success, or terminal_failure.

string
Allowed values: in_progress terminal_success terminal_failure
raw_status
required
Raw Status

Fine-grained run status.

string
progress
required
Progress

Training progress in [0, 1]; 1.0 when complete.

number
poll_interval_seconds
Any of:
integer
eta_at
Any of:
string format: date-time
started_at
Any of:
string format: date-time
finished_at
Any of:
string format: date-time
error
Any of:
string
error_code
Any of:
string
Example
{
"state": "in_progress"
}

Unauthenticated — missing or invalid Bearer token.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Forbidden — insufficient permissions.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Resource not found.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Invalid input parameters.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Rate limited — too many concurrent requests.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Internal server error.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}